org.apache.xerces.impl

## Class XMLEntityManager.Entity

- java.lang.Object
- - org.apache.xerces.impl.XMLEntityManager.Entity

Direct Known Subclasses:
  XMLEntityManager.ExternalEntity, XMLEntityManager.InternalEntity, XMLEntityManager.ScannedEntity

Enclosing class:
  XMLEntityManager

    public abstract static class XMLEntityManager.Entity
    extends java.lang.Object

Entity information.

Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`boolean` `inExternalSubset`
`java.lang.String` `name` Entity name.

### Constructor Summary

Constructors
Constructor and Description
`Entity()` Default constructor.
`Entity(java.lang.String name, boolean inExternalSubset)` Constructs an entity.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `clear()` Clears the entity.
`boolean` `isEntityDeclInExternalSubset()` Returns true if this entity was declared in the external subset.
`abstract boolean` `isExternal()` Returns true if this is an external entity.
`abstract boolean` `isUnparsed()` Returns true if this is an unparsed entity.
`void` `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

Entity name.

#### inExternalSubset

    public boolean inExternalSubset

### Constructor Detail

#### Entity

    public Entity()

Default constructor.

#### Entity

    public Entity(java.lang.String name,
                  boolean inExternalSubset)

Constructs an entity.

### Method Detail

#### isEntityDeclInExternalSubset

    public boolean isEntityDeclInExternalSubset()

Returns true if this entity was declared in the external subset.

#### isExternal

    public abstract boolean isExternal()

Returns true if this is an external entity.

#### isUnparsed

    public abstract boolean isUnparsed()

Returns true if this is an unparsed entity.

#### clear

    public void clear()

Clears the entity.

#### setValues

    public void setValues(XMLEntityManager.Entity entity)

Sets the values of the entity.